<script setup lang="ts">
import { defineProps, ref } from 'vue'

const props = defineProps<{
  route: string
  groupId: number
  project: { id: number; name: string }
  user: { rol: string }
  pipeline: { web_url: string }
}>()

const showTooltip = ref(false)
</script>

<template>
  <VCardTitle>
    <VRow class="d-flex align-center justify-space-between w-100">
      <VCol
        class="me-auto"
        cols="auto"
      >
        <RouterLink
          :to="{ name: route, params: { id: groupId, project_id: project.id } }"
          class="text-decoration-none"
        >
          <VIcon
            class="mr-2"
            size="18"
          >
            tabler-briefcase
          </VIcon>
          {{ project.name }}
        </RouterLink>
      </VCol>
      <VCol cols="auto">
        <VBtn
          variant="tonal"
          color="primary"
          class="mr-3"
          rounded="lg"
          size="38"
          elevation="2"
          :to="{
            name: 'workspace',
            params: { id: groupId, project_id: project.id },
            query: { tab: 1 },
          }"
        >
          <VIcon
            size="22px"
            color="primary"
          >
            tabler-list-search
          </VIcon>
          <VTooltip
            bottom
            activator="parent"
            location="bottom"
          >
            Project execution list
          </VTooltip>
        </VBtn>
        <VBtn
          v-if="['developer', 'user', 'root'].includes(user.rol.toLowerCase())"
          variant="tonal"
          color="cyan"
          rounded="lg"
          size="38"
          elevation="2"
          :href="pipeline.web_url"
          target="_blank"
        >
          <VIcon
            size="22px"
            color="cyan"
          >
            tabler-external-link
          </VIcon>
          <VTooltip
            bottom
            activator="parent"
            location="bottom"
          >
            Go to GitLab Project
          </VTooltip>
        </VBtn>
      </VCol>
    </VRow>
  </VCardTitle>
  <VDivider
    color="primary"
    thickness="2"
    class="border-opacity-50"
  />
</template>

<style scoped>
/* Add your custom styles here */
</style>
